# Create an Accounting Closure

`POST /lokta-lms/api/v1/glclosures`

Closes accounting for an office at a closing date. Entries prior to that date can no longer be posted or reversed.

Mandatory Fields
officeId,closingDate

## Request body (application/json)
- `closingDate` (string)
- `comments` (string)
- `dateFormat` (string)
- `locale` (string)
- `officeId` (integer)

## Responses
- `200`: OK

## Response fields
- `officeId` (integer)
- `resourceId` (integer)

## Example request (cURL)
```bash
curl -X POST \
  'https://default.lokta.tech/lokta-lms/api/v1/glclosures' \
  -u '{username}:{password}' \
  -H 'Tenant-Identifier: default' \
  -H 'Content-Type: application/json' \
  -d '{
  "closingDate": "19 August 2026",
  "comments": "The accountants are heading for a Caribbean vacation",
  "dateFormat": "dd MMMM yyyy",
  "locale": "en",
  "officeId": 1
}'
```

## Example response
```json
{
  "officeId": 1,
  "resourceId": 9
}
```

Interactive: https://developer.lokta.ai/reference#operation/createGLClosure
